[Numpy-tickets] [NumPy] #393: numpy-1.0 import fails on Red Hat 9 (RH9) (blas related)

NumPy numpy-tickets at scipy.net
Fri Dec 1 00:16:12 CST 2006


#393: numpy-1.0 import fails on Red Hat 9 (RH9) (blas related)
----------------------+-----------------------------------------------------
 Reporter:  twegener  |       Owner:  somebody   
     Type:  defect    |      Status:  new        
 Priority:  normal    |   Milestone:  1.0 Release
Component:  Other     |     Version:             
 Severity:  normal    |    Keywords:             
----------------------+-----------------------------------------------------
 Importing numpy (1.0) fails in Red Hat 9 Linux (blas-3.0-20). (Compiled
 and run on same machine.) The error output is shown below:

 {{{
 Python 2.5 (r25:51908, Oct 17 2006, 11:51:06)
 [GCC 3.2.2 20030222 (Red Hat Linux 3.2.2-5)] on linux2
 Type "help", "copyright", "credits" or "license" for more information.
 >>> import numpy
 Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
   File "/radstd/python/site-packages/i686-linux_py2.5/numpy/__init__.py",
 line 40, in <module>
     import linalg
   File "/radstd/python/site-
 packages/i686-linux_py2.5/numpy/linalg/__init__.py", line 4, in <module>
     from linalg import *
   File "/radstd/python/site-
 packages/i686-linux_py2.5/numpy/linalg/linalg.py", line 25, in <module>
     from numpy.linalg import lapack_lite
 ImportError: /usr/lib/libblas.so.3: undefined symbol: e_wsfe
 }}}

 This happens with Python 2.5, 2.4 and 2.3.

 It works fine with Fedora 3 (blas-3.0-26.fc3) and Fedora 2 (blas-3.0-24.1)

-- 
Ticket URL: <http://projects.scipy.org/scipy/numpy/ticket/393>
NumPy <http://projects.scipy.org/scipy/numpy>
The fundamental package needed for scientific computing with Python.


More information about the Numpy-tickets mailing list